For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
预约演示登录免费开始
  • 入门
    • 概览
    • 工作原理
    • 快速开始
    • 项目结构
    • Customer showcase
    • 变更日志
  • 配置
    • 概览
    • 站点级设置
    • 页面级设置
  • 编写内容
    • Markdown 基础
    • Markdown 中的富媒体
    • Fern 编辑器
    • 可复用代码片段
  • AI 功能
    • 概览
    • Fern Writer
    • AI 生成的示例
    • Markdown 访问
      • 概览
      • Agent 指令
      • 智能体指令
      • 分析与集成
    • MCP 服务器
    • API 目录发现
      • 概览
        • 简介
          • POSTCreate Document
          • POSTBatch Create Document
          • GETGet Document By Id
          • PATCHUpdate Document
          • DELDelete Document By Id
          • DELBatch Delete Document
          • GETGet Documents
          • DELDelete All Documents
  • Public API
    • GETJWT from Fern API key
    • GETAlgolia search credentials
    • GETCurrent user information
  • Fern Writer API
    • GETGet Fern Writer Install Link
Checking status...
SOC2Soc 2 Type II
© 2026 Fern • Birch Solutions, Inc., a Postman company

Documentation

SDKsDocsAsk FernCLI Reference

API Definitions

OpenAPIAsyncAPIOpenRPCgRPC

Resources

BlogSupportPricing

Company

Brand KitPrivacy PolicyTerms of Service
LogoLogo
预约演示登录免费开始
AI 功能Ask FernAPI referenceDocument

Get Documents

||以 Markdown 格式查看|
GET
/document/:domain
GET
/document/:domain
$curl https://fai.buildwithfern.com/document/domain \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "documents": [
3 {
4 "document_id": "d3f9a7b2-8c4e-4f1a-9b2e-5a7c3d9e8f12",
5 "domain": "example.com",
6 "chunk": "Introduction to the product features and benefits.",
7 "document": "This document provides an overview of the key features and benefits of our software product, including installation instructions and usage guidelines.",
8 "created_at": "2024-01-15T09:30:00Z",
9 "updated_at": "2024-01-15T09:30:00Z",
10 "title": "Product Overview",
11 "url": "https://example.com/docs/product-overview",
12 "version": "1.2.0",
13 "product": "Example Software Suite",
14 "keywords": [
15 "product",
16 "overview",
17 "features",
18 "installation"
19 ],
20 "authed": false
21 }
22 ],
23 "pagination": {
24 "total": 1,
25 "page": 1,
26 "limit": 10
27 }
28}
此页面是否有帮助?
上一个

Batch Delete Document

下一个

Delete All Documents

身份验证

AuthorizationBearer

Bearer 身份验证,格式为 Bearer <token>,其中 token 是您的身份验证令牌。

路径参数

domainstring必需

查询参数

pageinteger or null可选
The page number for pagination
limitinteger or null可选
The number of documents per page

响应

Successful Response
documentslist of objects
List of documents for the domain
paginationobject
Pagination information for the document list

错误

422
Unprocessable Entity Error